function [phc_sed,phn_sed,php_sed, ...
            phy_gpp,phy_res, ...
            phy_exc,phy_exn,phy_exp, ... 
            phy_moc,phy_mon,phy_mop] = field_names_MMM(nc)
    
    % Phytoplankton sedimentation
    phc_sed = nc(contains(nc,'WQ_DIAG_PHYTO') & ...
                             contains(nc,'SEDMTN_MM_M3_D') & ...
                            ~contains(nc,'_COM_'));
    phn_sed = nc(contains(nc,'WQ_DIAG_PHYTO') & ...
                             contains(nc,'SEDMTN_N_MM_M3_D') & ...
                            ~contains(nc,'_COM_'));
    php_sed = nc(contains(nc,'WQ_DIAG_PHYTO') & ...
                             contains(nc,'SEDMTN_P_MM_M3_D') & ...
                            ~contains(nc,'_COM_'));
    % Phytoplankton uptake
    % Carbon
    phy_gpp = nc(contains(nc,'WQ_DIAG_PHYTO') & ...
                             contains(nc,'_PRIM_PROD_MM_M3_D') & ...
                            ~contains(nc,'_COM_'));
    % Respiration
    % Carbon
    phy_res = nc(contains(nc,'WQ_DIAG_PHYTO') & ...
                             contains(nc,'_RESP_MM_M3_D') & ...
                            ~contains(nc,'_COM_'));
    % Excretion
    % Carbon
    phy_exc = nc(contains(nc,'WQ_DIAG_PHYTO') & ...
                             contains(nc,'_EXCR_MM_M3_D') & ...
                            ~contains(nc,'_COM_'));
    % Nitrogen
    phy_exn = nc(contains(nc,'WQ_DIAG_PHYTO') & ...
                             contains(nc,'_EXCR_N_MM_M3_D') & ...
                            ~contains(nc,'_COM_'));
    % Phosphorus
    phy_exp = nc(contains(nc,'WQ_DIAG_PHYTO') & ...
                             contains(nc,'_EXCR_P_MM_M3_D') & ...
                            ~contains(nc,'_COM_'));
    % Mortality
    % Carbon
    phy_moc = nc(contains(nc,'WQ_DIAG_PHYTO') & ...
                             contains(nc,'_MORT_MM_M3_D') & ...
                            ~contains(nc,'_COM_'));
    % Nitrogen
    phy_mon = nc(contains(nc,'WQ_DIAG_PHYTO') & ...
                             contains(nc,'_MORT_N_MM_M3_D') & ...
                            ~contains(nc,'_COM_'));
    % Phosphorus
    phy_mop = nc(contains(nc,'WQ_DIAG_PHYTO') & ...
                             contains(nc,'_MORT_P_MM_M3_D') & ...
                            ~contains(nc,'_COM_'));




